Bug 1187515 - KDE Live (Build9.88) is missing MOKManager
KDE Live (Build9.88) is missing MOKManager
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Live Medium
Leap 15.3
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Marcus Schaefer
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-06-20 01:27 UTC by Roy Bellingan
Modified: 2022-11-17 16:11 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roy Bellingan 2021-06-20 01:27:23 UTC
The file EFI/BOOT/MokManager.efi is missing, and the bios is ignoring the safe boot settings, and is still trying to load it.

I tried to load openSUSE-Leap-15.3-KDE-Live-x86_64-Build9.88-Media which is missing such file, tried with openSUSE-Leap-15.3-NET-x86_64 which instead contain it and is running fine.
Bios tried ONCE to perform MOK management, skipped it.
I can now run the 15.3 kde live.

The bios error is

Failed to open \EFI\BOOT\MokManager.efi - Not Found
Failed to load image \EFI\BOOT\MokManager.efi: Not Found
Failed to start MokManager: Not Found
something has gone seriously wrong: imporrt_mok_state() failed: Not Found

Laptop is a pcspecialist based on a TongGang gk7cp6s chassis.

I am pretty sure this is a bios problem, but they will probably never fix it.

It is possible to edit by itself the iso image, but I think is better if you just add the MokManager.efi file straight on the live too.
Comment 1 Gary Ching-Pang Lin 2021-06-25 06:18:45 UTC
Hi Fabian,

I heard that you're working on the Live media. Could you help to check the config of KDE Live and see if MokManager.efi is copied to \EFI\BOOT?
Comment 2 Fabian Vogt 2021-07-01 13:56:47 UTC
(In reply to Gary Ching-Pang Lin from comment #1)
> Hi Fabian,
> 
> I heard that you're working on the Live media. Could you help to check the
> config of KDE Live and see if MokManager.efi is copied to \EFI\BOOT?

It's indeed missing. For some reason kiwi doesn't use shim-install, but handles the copying itself and that code doesn't handle MokManager. Reassigning to kiwi.
Comment 3 Marcus Schaefer 2021-07-06 09:41:08 UTC
Will fix it
Comment 4 Marcus Schaefer 2021-07-06 10:17:24 UTC
https://github.com/OSInside/kiwi/pull/1879
Comment 5 Marcus Schaefer 2021-08-05 10:27:29 UTC
Fixed on Virt:App:Builder and available to Factory (rq 910293)
Comment 10 Swamp Workflow Management 2022-02-21 14:19:26 UTC
openSUSE-RU-2022:0533-1: An update that has 10 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1180539,1184128,1184823,1185287,1185937,1187460,1187461,1187515,1192975,1195229
CVE References: 
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    python-kiwi-9.24.16-3.44.1
Comment 11 Swamp Workflow Management 2022-02-21 14:21:39 UTC
SUSE-RU-2022:0533-1: An update that has 10 recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1180539,1184128,1184823,1185287,1185937,1187460,1187461,1187515,1192975,1195229
CVE References: 
JIRA References: 
Sources used:
SUSE Linux Enterprise Realtime Extension 15-SP2 (src):    python-kiwi-9.24.16-3.44.1
SUSE Linux Enterprise Module for Development Tools 15-SP3 (src):    python-kiwi-9.24.16-3.44.1
SUSE Linux Enterprise Micro 5.1 (src):    python-kiwi-9.24.16-3.44.1
SUSE Linux Enterprise Micro 5.0 (src):    python-kiwi-9.24.16-3.44.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.